stages:
  - build

build:
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
  services:
    - docker:dind
  stage: build
  image: "docker:latest"
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $CI_REGISTRY_IMAGE/hsync:latest .
    - docker push $CI_REGISTRY_IMAGE/hsync:latest